import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSecretValueInput } from "../types/GetSecretValueInput";
import { GetSecretValueOutput } from "../types/GetSecretValueOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/GetSecretValueInput";
export * from "../types/GetSecretValueOutput";
export * from "../types/GetSecretValueExceptionsUnion";
export declare class GetSecretValueCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSecretValueInput, OutputTypesUnion, GetSecretValueOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: GetSecretValueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSecretValueInput, GetSecretValueOutput, Blob>;
    constructor(input: GetSecretValueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<GetSecretValueInput, GetSecretValueOutput>;
}
