"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=TagResource.js.map