"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelRotateSecret_1 = require("../model/operations/CancelRotateSecret");
var CancelRotateSecretCommand = /** @class */ (function () {
    function CancelRotateSecretCommand(input) {
        this.input = input;
        this.model = CancelRotateSecret_1.CancelRotateSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelRotateSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelRotateSecretCommand;
}());
exports.CancelRotateSecretCommand = CancelRotateSecretCommand;
//# sourceMappingURL=CancelRotateSecretCommand.js.map