"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSecretVersionIdsInput_1 = require("../shapes/ListSecretVersionIdsInput");
var ListSecretVersionIdsOutput_1 = require("../shapes/ListSecretVersionIdsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSecretVersionIds = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSecretVersionIds",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListSecretVersionIdsInput_1.ListSecretVersionIdsInput
    },
    output: {
        shape: ListSecretVersionIdsOutput_1.ListSecretVersionIdsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=ListSecretVersionIds.js.map