"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutResourcePolicyInput_1 = require("../shapes/PutResourcePolicyInput");
var PutResourcePolicyOutput_1 = require("../shapes/PutResourcePolicyOutput");
var MalformedPolicyDocumentException_1 = require("../shapes/MalformedPolicyDocumentException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutResourcePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutResourcePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutResourcePolicyInput_1.PutResourcePolicyInput
    },
    output: {
        shape: PutResourcePolicyOutput_1.PutResourcePolicyOutput
    },
    errors: [
        {
            shape: MalformedPolicyDocumentException_1.MalformedPolicyDocumentException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        }
    ]
};
//# sourceMappingURL=PutResourcePolicy.js.map