"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecretVersionStagesType_1 = require("./_SecretVersionStagesType");
exports.PutSecretValueOutput = {
    type: "structure",
    required: [],
    members: {
        ARN: {
            shape: {
                type: "string",
                min: 20
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        VersionId: {
            shape: {
                type: "string",
                min: 32
            }
        },
        VersionStages: {
            shape: _SecretVersionStagesType_1._SecretVersionStagesType
        }
    }
};
//# sourceMappingURL=PutSecretValueOutput.js.map